=== debian/changelog ===
inspectrum (0.1.6.6287ae4-1) unstable; urgency=medium

  * [986c8e6] New upstream version 0.1.6.6287ae4 uploaded (Closes: 800812)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 06 Oct 2015 00:40:21 -0400

inspectrum (0.1-1) unstable; urgency=medium

  * Initial release package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 03 Oct 2015 15:56:29 -0400
