=== debian/control ===
Source: inspectrum
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake, debhelper (>= 9), libfftw3-dev, pkg-config, qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/miek/inspectrum
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/inspectrum.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/inspectrum.git

Package: inspectrum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for visualising captured radio signals
 inspectrum is a tool for analysing captured signals, primarily from
 software-defined radio receivers.
