=== debian/changelog ===
inspectrum (0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #867530)
  * update to v0.2-13-ga89d133
  * liquid-dsp based

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Sep 2017 12:06:14 -0400
