=== debian/control ===
--- 
+++ 
@@ -3,8 +3,13 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake, debhelper (>= 9), libfftw3-dev, pkg-config, qtbase5-dev
-Standards-Version: 3.9.6
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libfftw3-dev,
+               libliquid-dev,
+               pkg-config,
+               qtbase5-dev
+Standards-Version: 4.1.0
 Homepage: https://github.com/miek/inspectrum
 Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/inspectrum.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/inspectrum.git
