## inspectrum 0.2.1+rb2

=== debian/changelog ===
inspectrum (0.2.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Hamradio Maintainers <debian-hams@lists.debian.org>  Wed, 27 Jan 2021 18:04:05 +0800
