## inspectrum 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.11)
 project(inspectrum CXX)
 enable_testing()
 
@@ -9,14 +9,20 @@
 # For OSX - don't clear RPATH on install
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-if (WIN32)
-    find_library (MMAN mman)
-    if(NOT(MMAN))
-    message(FATAL_ERROR "please install mman-win32")
-    else(NOT(MMAN))
-    set (extraLibs  ${extraLibs} ${MMAN})
-    endif(NOT(MMAN))
-ENDIF (WIN32)
+if (MSVC)
+    #force std::complex<> typedefs in liquiddsp
+    add_definitions(-D_LIBCPP_COMPLEX)
+
+    #enable math definitions in math.h
+    add_definitions(-D_USE_MATH_DEFINES)
+
+    #build a graphical application without the console
+    option(BUILD_WIN32 "Build win32 app, false for console" TRUE)
+    if (BUILD_WIN32)
+        set(EXE_ARGS WIN32)
+        set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
+    endif (BUILD_WIN32)
+endif (MSVC)
 
 if (NOT CMAKE_CXX_FLAGS)
     set(CMAKE_CXX_FLAGS "-O2")
@@ -51,31 +57,22 @@
     util.cpp
 )
 
-INCLUDE(FindPkgConfig)
-
 find_package(Qt5Widgets REQUIRED)
-pkg_check_modules(FFTW REQUIRED fftw3f)
+find_package(Qt5Concurrent REQUIRED)
+find_package(FFTW REQUIRED)
 find_package(Liquid REQUIRED)
 
 include_directories(
-    ${QT_INCLUDES}
-    ${FFTW_INCLUDEDIR}
-    ${FFTW_INCLUDE_DIRS}
+    ${FFTW_INCLUDES}
     ${LIQUID_INCLUDES}
 )
 
-link_directories(
-    ${FFTW_LIBRARY_DIRS}
-)
-
-add_executable(inspectrum ${inspectrum_sources})
-qt5_use_modules(inspectrum Widgets Concurrent)
+add_executable(inspectrum ${EXE_ARGS} ${inspectrum_sources})
 
 target_link_libraries(inspectrum
-    ${QT_LIBRARIES}
+    Qt5::Core Qt5::Widgets Qt5::Concurrent
     ${FFTW_LIBRARIES}
     ${LIQUID_LIBRARIES}
-    ${extraLibs}
 )
 set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
