=== debian/changelog ===
inspectrum (0.2.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 27 Apr 2020 15:53:54 -0400

inspectrum (0.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Gürkan Myczko ]
  * control: Update Vcs fields.
  * copyright: fix
    global-files-wildcard-not-first-paragraph-in-dep5-copyright.

  [ Christoph Berg ]
  * New upstream release.
  * Add debian/gitlab-ci.yml.
  * Use DH 12.
  * Update description with more details.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Dec 2019 10:23:24 +0100
