=== debian/control ===
Source: inspectrum
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libfftw3-dev,
               libliquid-dev,
               pkg-config,
               qtbase5-dev
Standards-Version: 4.4.1
Homepage: https://github.com/miek/inspectrum
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/inspectrum.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/inspectrum

Package: inspectrum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for visualising captured radio signals
 inspectrum is a tool for analysing captured signals, primarily from
 software-defined radio receivers.
 .
 inspectrum supports the following file types:
  *.cf32, *.cfile - Complex 32-bit floating point (GNURadio, osmocom_fft)
  *.cs16 - Complex 16-bit signed integer (BladeRF)
  *.cs8 - Complex 8-bit signed integer (HackRF)
  *.cu8 - Complex 8-bit unsigned integer (RTL-SDR)
 .
 Features:
  * Large (100GB+) file support
  * Spectrogram with zoom/pan
  * Plots of amplitude, frequency, phase and IQ samples
  * Cursors for measuring period, symbol rate and extracting symbols
  * Export of selected time period, filtered samples and demodulated data
