## inspectrum 0.2.3

=== debian/changelog ===
inspectrum (0.2.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove listed license files (LICENSE) from copyright.

  [ Daniele Forsi ]
  * Fix blhc failure
  * Update standards version to 4.6.0, no changes needed.
  * Update watch file format version to 4.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 11:12:52 +0100

inspectrum (0.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ tony mancill ]
  * New upstream version 0.2.3 (Closes: #974584)
  * Bump Standards-Version to 4.5.1
  * Set Rules-Requires-Root: no in debian/control
  * Update to debhelper compat level 13

 -- tony mancill <tmancill@debian.org>  Fri, 04 Dec 2020 13:22:30 -0800
