=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: inspectrum
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libfftw3-dev,
                libliquid-dev,
                pkg-config,
                qtbase5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/miek/inspectrum
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/inspectrum.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/inspectrum
+Rules-Requires-Root: no
 
 Package: inspectrum
 Architecture: any
