## inspectrum 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(inspectrum CXX)
enable_testing()

add_subdirectory(src)
