=== debian/changelog ===
inspectrum (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Update to build with CMake 4 (Closes: #1113043)
  * Update B-D on pkg-config to pkgconf
  * Bump Standards-Version to 4.7.2
  * Update debian/watch to version 5

 -- tony mancill <tmancill@debian.org>  Mon, 20 Oct 2025 20:35:47 -0700

inspectrum (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 14:14:32 +0000

inspectrum (0.2.3-3) unstable; urgency=medium

  * update to v0.2.3-36-g98b998f to enable new features
    ahead of new upstream release.
  * Update standards version to 4.6.1, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 15 Sep 2022 17:30:10 -0400
