=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                debhelper-compat (= 13),
                libfftw3-dev,
                libliquid-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/miek/inspectrum
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/inspectrum.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/inspectrum
@@ -23,10 +23,17 @@
  software-defined radio receivers.
  .
  inspectrum supports the following file types:
+  *.sigmf-meta, *.sigmf-data - Signal Metadata Format (SigMF) recordings
   *.cf32, *.cfile - Complex 32-bit floating point (GNURadio, osmocom_fft)
+  *.cf64 - Complex 64-bit floating point samples
   *.cs16 - Complex 16-bit signed integer (BladeRF)
   *.cs8 - Complex 8-bit signed integer (HackRF)
   *.cu8 - Complex 8-bit unsigned integer (RTL-SDR)
+  *.f32 - Real 32-bit floating point samples
+  *.f64 - Real 64-bit floating point samples (MATLAB)
+  *.s16 - Real 16-bit signed integer samples
+  *.s8 - Real 8-bit signed integer samples
+  *.u8 - Real 8-bit unsigned integer samples
  .
  Features:
   * Large (100GB+) file support
