=== debian/watch ===
Version: 5

Source: https://github.com/miek/inspectrum/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/v$1.tar.gz/
